#include <inti/main.h>
#include <inti/core.h>
#include <inti/gtk/entry.h>
#include <inti/gtk/checkbutton.h>

using namespace Inti;

class EntryWindow : public Gtk::Window
{
	Pointer<Gtk::Entry> entry;

protected:
	void on_enter();
	void on_entry_toggle_editable(Gtk::CheckButton *button);
	void on_entry_toggle_visible(Gtk::CheckButton *button);

public:
	EntryWindow();
	~EntryWindow();
};

